import { Injectable } from '@angular/core';
import { environment } from './environment';

@Injectable({
  providedIn: 'root'
})
export class EnvironmentService implements IEnvironment {
  get production() {
    return environment.production;
  }

  get site_base(){
    return environment.site_base;
  }

  get url_api(){
    return environment.url_api;
  }

  get url_ws(){
    return environment.url_ws;
  }

  get url_sws(){
    return environment.url_sws;
  }

  get url_landing(){
    return environment.url_landing;
  }

  get beta(){
    return environment.beta;
  }

  constructor() {}
}

export interface IEnvironment{
  production: boolean;
  site_base: string;
  url_api: string;
  url_ws: string;
  url_sws: string;
  url_landing: string;
  beta: boolean;
}